#
# spec file for package procinfo (Version 18)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses ncurses-devel net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib

Name:           procinfo
BuildRequires:  ncurses-devel
Url:            ftp://ftp.cistron.nl/pub/people/svm/
License:        GPL v2 or later
Group:          System/Monitoring
AutoReqProv:    on
Version:        18
Release:        128.2
Summary:        Display System Status Gathered from /proc
Provides:       ps:/usr/bin/lsdev
Source:         ftp://ftp.cistron.nl/pub/people/svm/%{name}-%{version}.tar.bz2
Patch0:         procinfo-%{version}.dif
Patch1:         procinfo-ia64.diff
Patch2:         procinfo-hz
Patch3:         procinfo-TERM.dif
Patch4:         procinfo-26.diff
Patch5:         procinfo-gccver.diff
Patch6:         procinfo-irq.dif
Patch7:         procinfo-loadavg.dif
Patch8:         procinfo-lsdev.dif
Patch9:         procinfo-socklist.dif
Patch10:        procinfo-float.dif
Patch11:        procinfo-intr.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The "procinfo" command gathers some system data from the /proc
directory and prints it nicely formatted on the standard output device.



Authors:
--------
    Sander van Malssen <svm@kozmix.cistron.nl>

%debug_package
%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch4 -p1
%patch5 -p1
%patch6
%patch7
%patch8
%patch9
%patch10
%patch11

%build
CFLAGS="-D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 ${RPM_OPT_FLAGS} -pipe"
CC=gcc
export CFLAGS CC
make LDFLAGS=

%install
make prefix=$RPM_BUILD_ROOT/usr install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root,755)
%doc README CHANGES
%{_bindir}/procinfo
%{_bindir}/lsdev
%{_bindir}/socklist
%{_mandir}/man8/procinfo.8*
%{_mandir}/man8/lsdev.8*
%{_mandir}/man8/socklist.8*
%changelog
* Tue Oct 23 2007 - werner@suse.de
- Don't overwrite already allocted memory if the system has
  a huge number of interrupts (bug #335102)
- Copy only the labels of the used interrupts to save stack size
  (bug #335102)
* Mon Oct 22 2007 - werner@suse.de
- Count number of interrupts even if line buffer is smaller than
  "intr" line of /proc/stat (bug #335102)
* Tue Jul 31 2007 - werner@suse.de
- Modified version of last patch: include fractions of seconds
* Mon Jul 30 2007 - werner@suse.de
- During time delay calculation cast result not parts to float and
  avoid sprint overflows (bug #295501)
* Tue Jun 05 2007 - werner@suse.de
- Correct patch depth
* Mon Jun 04 2007 - werner@suse.de
- Expand socklist to TCP/IPv6 (bug #280032)
* Tue Apr 17 2007 - werner@suse.de
- Fix lsdev for ia64: there is no /proc/dma (bug #263740)
* Thu Mar 29 2007 - rguenther@suse.de
- Add ncurses-devel BuildRequires
* Wed Dec 06 2006 - werner@suse.de
- Fix buffer overflow due high load (bug #226253)
* Mon Nov 27 2006 - werner@suse.de
- XEN kernels do not use timer irq  (bug #222035)
* Fri Nov 17 2006 - werner@suse.de
- /proc/sys/kernel/HZ is gone use clock_getres with CLOCK_REALTIME
  for getting kernel space HZ (bug #222035)
* Mon Aug 07 2006 - werner@suse.de
- For more than three disks show the last one only once (#196774)
* Mon Jul 17 2006 - werner@suse.de
- Use sysconf(_SC_CLK_TCK) instead of HZ of user space
* Fri Jun 02 2006 - werner@suse.de
- The members of the array used for storing irq are unsigned longs,
  many thansk to Harald Koenig.
* Fri Jun 02 2006 - werner@suse.de
- The timer ticks on ix86 are given in kernel space HZ, use correct
  factor to get them into user space HZ (bug #56081)
* Fri May 26 2006 - schwab@suse.de
- Don't strip binaries.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Mar 07 2005 - mmj@suse.de
- Detect our gcc version correctly [#70954]
- Add disk stat hunks removed wrongly before
* Thu Mar 03 2005 - mmj@suse.de
- Get info about pages and swap from /proc/vmstat [#64620]
  (Partly from procinfo@meisel.cc)
* Thu Feb 24 2005 - garloff@suse.de
- The times in /proc/stat are in user HZ, not the kernel internal
  one (#56081 aka suse#41081).
* Tue Nov 09 2004 - draht@suse.de
- procinfo should not refuse to run if TERM is not set, such as
  when running non-interactively from ssh.
* Fri Sep 24 2004 - garloff@suse.de
- Read HZ from /proc/sys/kernel/HZ if existing, otherwise assume
  1000 for kernel 2.6, 100 for older ones. (#45707)
- Us it in calculation of load percentages. (#45707)
- Fix overflow in uptime output. (#41081)
* Mon Mar 01 2004 - stepan@suse.de
- procinfo-ia64.diff: fix time conversion problem on ia64
* Sat Feb 14 2004 - kukuk@suse.de
- Split from ps package
